Account betalingen
GET https://digily.link/api/payments/
curl --request GET \
--url 'https://digily.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Beschrijving |
|---|---|---|
| processor | Optioneel Tekenreeks | Toegestane waarden: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Optioneel Tekenreeks | Toegestane waarden: paid, pending, cancelled, refunded |
| type | Optioneel Tekenreeks | Toegestane waarden: one_time, recurring |
| frequency | Optioneel Tekenreeks | Toegestane waarden: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Optioneel Tekenreeks | Toegestane waarden: datetime |
| datetime_start | Optioneel Tekenreeks | Filter resultaten beginnend vanaf deze datum en tijd. Y-m-d H:i:s formaat. |
| datetime_end | Optioneel Tekenreeks | Filter resultaten tot en met deze datum en tijd. Y-m-d H:i:s formaat. |
| order_by | Optioneel Tekenreeks | Op welk veld de resultaten moeten worden gesorteerd. Toegestane waarden zijn: id, datetime, total_amount. |
| order_type | Optioneel Tekenreeks | De volgorde van de resultaten. Toegestane waarden zijn: ASC voor oplopende volgorde, en DESC voor aflopende volgorde. |
| page | Optioneel Integer | Het paginanummer waarvan u resultaten wilt. Standaard is 1. |
| results_per_page | Optioneel Integer | Hoeveel resultaten wilt u per pagina. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-05-13 00:05:55",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/payments?page=1",
"last": "https://digily.link/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/payments?page=1"
}
}
GET https://digily.link/api/payments/{payment_id}
curl --request GET \
--url 'https://digily.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-05-13 00:05:55",
}
}